%define rbname glib2

Summary:	Ruby binding of GLib-2.x
Name:		rubygem-%{rbname}
Version:	2.2.0
Release:	4
License:	GPLv2+ or Ruby
Group:		Development/Ruby
Url:		http://ruby-gnome2.sourceforge.jp/
Source0:	http://rubygems.org/gems/%{rbname}-%{version}.gem
Patch0:		rubygem-glib2-2.2.0-glib2.44.patch
BuildRequires:	rubygems
BuildRequires:	rubygem(pkg-config)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(ruby)

%description
Ruby binding of GLib-2.x.

%files
%{ruby_gemdir}/gems/%{rbname}-%{version}/lib/*.rb
%{ruby_gemdir}/gems/%{rbname}-%{version}/lib/%{rbname}/*.rb
%{ruby_gemdir}/gems/%{rbname}-%{version}/lib/gnome2/rake/*.rb
%{ruby_gemdir}/specifications/%{rbname}-%{version}.gemspec
%{ruby_sitearchdir}/glib2.so

#----------------------------------------------------------------------------

%package doc
Summary:	Documentation for %{name}
Group:		Development/Ruby
Requires:	%{name} = %{EVRD}
BuildArch:	noarch

%description doc
Documents, RDoc & RI documentation for %{name}.

%files doc
%doc %{ruby_gemdir}/doc/%{rbname}-%{version}

#----------------------------------------------------------------------------

%package devel
Summary:	Development files for %{name}
Group:		Development/Ruby

%description devel
Development files for %{name}.

%files devel
%{ruby_sitearchdir}/*.h

#----------------------------------------------------------------------------

%prep
%setup -q
%patch0 -p2

%build
%gem_build

%install
%gem_install


%changelog

* Sun May 08 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 2.2.0-4
- (cdf9ec7) Add patch to fix build with glib 2.44+


